## IdeTransferButton IdeTransferButton |

## Functions

GtkWidget * | ide_transfer_button_new ()

## Properties

IdeTransfer * | transfer | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_TRANSFER_BUTTON
struct | IdeTransferButtonClass
| IdeTransferButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── DzlProgressButton
                                ╰── IdeTransferButton

## Implemented Interfaces

IdeTransferButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

## Functions

### ide_transfer_button_new ()

    GtkWidget *
    ide_transfer_button_new (IdeTransfer *transfer);

## Types and Values

### IDE_TYPE_TRANSFER_BUTTON

    #define IDE_TYPE_TRANSFER_BUTTON (ide_transfer_button_get_type())

### struct IdeTransferButtonClass

    struct IdeTransferButtonClass {
      DzlProgressButtonClass parent_class;
    };

### IdeTransferButton

    typedef struct _IdeTransferButton IdeTransferButton;

## Property Details

### The `“transfer”` property

      “transfer”                 IdeTransfer *

Transfer.

Owner: IdeTransferButton

Flags: Read / Write / Construct Only